## zopectl-multi 0.1.1

=== debian/changelog ===
zopectl-multi (0.1.1) unstable; urgency=low

  * made start and stop (and status, when --verbose) smarter about multiple pids.
  * changed /etc/zope/ to /etc/zope/instance/, /var/lib/zope/ to /var/lib/zope/instance/,
    and (for consistency) /var/log/zope/ to /var/log/zope/instance/; this prevents
    conflicts with other products that put config information in /etc/zope/ and with
    the default zope instance in /var/lib/zope/.

 -- David Coe <davidc@debian.org>  Sat, 15 Mar 2003 23:41:36 -0500

zopectl-multi (0.1.0.coe.1) unstable; urgency=low

  * new zopectl (rewritten in python) supports multiple instances and zope 2.6 signals, and
    conforms more closely to Debian init script policy. See zopectl(8) for details.
    this, and/or zope 2.6.x, with-zope-would-close: #163555 "Sporadic timeouts during zope startup"
    this, or something earlier, with-zope-would-close: #72454 "Zope's init.d script fails every time I need to restart it"
  * new /etc/zope/ directory containing subdirectories for zope instances, declaring their
    options (including username) and environment settings.
    with-zope-would-close: #164442 "...could lead to unauthorized data access..."
    with-zope-would-close: #50312 "UID selection for zope"
  * log files are now in /var/log/zope/<instance_name> and managed by logrotate;
    thanks to zope 2.6 signal handling, this was now easy to implement.
    with-zope-would-close: #57799 "log files should be in /var/log/ not /var/lib/zope/var/"
    with-zope-would-close: #60533 "Bad logfiles, can fill up disk!"
    with-zope-would-close: #71923 "Zope log file not rotated"
    with-zope-would-close: #100158 "no log rotation mechanism"

 -- David Coe <davidc@debian.org>  Mon, 10 Feb 2003 16:01:22 -0500
