=== debian/control ===
Source: zopectl-multi
Section: web
Priority: optional
Maintainer: David Coe <davidc@debian.org>
Build-Depends-Indep: debhelper (>= 4), python (>= 2.1), txt2man
Standards-Version: 3.5.8

Package: zopectl-multi
Architecture: all
Depends: zope (>= 2.6), python (>= 2.1), procps, ${misc:Depends}
Replaces: zope
Enhances: zope
Description: A Multi-Instance zopectl replacement
 This packages replaces zopectl with a version that
 easily supports multiple zope instances and makes zope
 conform better to Debian policy.  Each instance of
 zope can have its own owner (userid); the instance
 configuration files are maintained in subdirectories
 of /etc/zope/instance; instances themselves are created in
 subdirectories of /var/lib/zope/instance; log files are
 sent to subdirectories of /var/log/zope/instance.  A
 zope-make-instance script is included to help
 create and configure zope instances.  Even if you
 run only one zope instance, you may prefer this
 to the default zopectl.
 .
 This package may some day become part of the Debian zope
 package, but it is being separately maintained until
 it has been thoroughly tested and debugged.  You can
 help by installing it and reporting bugs.
 .
 IMPORTANT NOTE: this package replaces the
 zope package's /usr/sbin/zopectl and /init.d/zope
 scripts -- if you install or upgrade (or downgrade)
 zope after installing this, you'll have to install
 this again to get those replaced files back.  
 Eventually this will be resolved via alternatives
 or by integrating this package into the zope
 package.
