=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debian = debian/zopectl-multi
usrdir = usr/lib/zope

build: build-stamp
build-stamp:
	dh_testdir

#	generate the man pages from zopectl and zope-make-instance
	ln -sf zopectl debian/zopectl.py
	debian/zopectl --help | txt2man -t zopectl -s 8 > debian/zopectl.8
	# ln -s zopectl.8 debian/zopectl.py.8   <-- this doesn't work (dh_installman doesn't see it)
	debian/zope-make-instance --help | txt2man -t zope-make-instance -s 8 > debian/zope-make-instance.8

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm --force build-stamp install-stamp
	rm --force debian/zopectl.8
	rm --force debian/zope-make-instance.8

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	# install admin scripts
	install --mode=755 -D debian/zopectl $(debian)/usr/sbin/zopectl
	install --mode=755 -D debian/zope-make-instance $(debian)/usr/sbin/zope-make-instance

	# install upstream's inst/make_instance.py and its dependencies
	install --mode=644 -D inst/make_instance.py $(debian)/$(usrdir)/lib/inst/make_instance.py
	install --mode=644 -D inst/do.py $(debian)/$(usrdir)/lib/inst/do.py

	# install the /etc/zope files
	install --mode=755 -d $(debian)/etc/zope/instance
	install --mode=644 -D debian/etc/zope/README debian/etc/zope/sample_environment debian/etc/zope/sample_options $(debian)/etc/zope/instance/

	# for now, install config for default instance corresponding to the one created by the zope package
	install --mode=755 -d $(debian)/etc/zope/instance/default
	install --mode=644 debian/etc/zope/default/* $(debian)/etc/zope/instance/default/

	# install the replacement zope init script
	install --mode=755 -D debian/zope.init $(debian)/etc/init.d/zope

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installexamples
	dh_installdebconf
	dh_installman
	dh_installinit
	dh_installlogrotate
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
